'use strict';

exports.__esModule = true;
exports.default = dateFormat;

var _leftPad = require('left-pad');

var _leftPad2 = _interopRequireDefault(_leftPad);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function dateFormat(date, format) {
  // Let's make it simple as possible - we're going to only support
  // %Y, %M, %D, %h, %m, %s. UTC is not supported for now.
  var result = format;
  result = result.replace(/%Y/g, function () {
    return (0, _leftPad2.default)(date.getUTCFullYear(), 4, 0);
  });
  result = result.replace(/%M/g, function () {
    return (0, _leftPad2.default)(date.getUTCMonth() + 1, 2, 0);
  });
  result = result.replace(/%D/g, function () {
    return (0, _leftPad2.default)(date.getUTCDate(), 2, 0);
  });
  result = result.replace(/%h/g, function () {
    return (0, _leftPad2.default)(date.getUTCHours(), 2, 0);
  });
  result = result.replace(/%m/g, function () {
    return (0, _leftPad2.default)(date.getUTCMinutes(), 2, 0);
  });
  result = result.replace(/%s/g, function () {
    return (0, _leftPad2.default)(date.getUTCSeconds(), 2, 0);
  });
  return result;
}
module.exports = exports['default'];